wxWidgets: /home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/memory.h File Reference

| Version: 3.0.5

Classes | Macros | Functions
memory.h File Reference

## Classes
class | wxDebugContext
| A class for performing various debugging and memory tracing operations. More...

## Macros
#define | WXTRACE(format, ...)
#define | WXTRACELEVEL(level, format, ...)

## Functions
void | wxTrace (const wxString &format,...)
void | wxTraceLevel (int level, const wxString &format,...)

## Macro Definition Documentation

## ◆ WXTRACE

#define WXTRACE | ( |  | format,
|  |  | ...
| ) |  |

Deprecated:
  Use one of the wxLogTrace() functions or one of the wxVLogTrace() functions instead.

Calls wxTrace() with printf-style variable argument syntax. Output is directed to the current output stream (see wxDebugContext).

Include file:

    #include <wx/memory.h>

## ◆ WXTRACELEVEL

#define WXTRACELEVEL | ( |  | level,
|  |  | format,
|  |  | ...
| ) |  |

Deprecated:
  Use one of the wxLogTrace() functions or one of the wxVLogTrace() functions instead.

Calls wxTraceLevel with printf-style variable argument syntax. Output is directed to the current output stream (see wxDebugContext). The first argument should be the level at which this information is appropriate. It will only be output if the level returned by wxDebugContext::GetLevel is equal to or greater than this value.

Include file:

    #include <wx/memory.h>

## Function Documentation

## ◆ wxTrace()

void wxTrace | ( | const wxString & | format,
|  |  | ...
| ) |  |

Deprecated:
  Use one of the wxLogTrace() functions or one of the wxVLogTrace() functions instead.

Takes printf-style variable argument syntax. Output is directed to the current output stream (see wxDebugContext).

Include file:

    #include <wx/memory.h>

## ◆ wxTraceLevel()

void wxTraceLevel | ( | int | level,
|  | const wxString & | format,
|  |  | ...
| ) |  |

Deprecated:
  Use one of the wxLogTrace() functions or one of the wxVLogTrace() functions instead.

Takes printf() style variable argument syntax. Output is directed to the current output stream (see wxDebugContext). The first argument should be the level at which this information is appropriate. It will only be output if the level returned by wxDebugContext::GetLevel() is equal to or greater than this value.

Include file:

    #include <wx/memory.h>